MacWrtParserInternal::FileHeader Struct Reference

Document header. More...

## Public Member Functions

| FileHeader ()

## Public Attributes

int | m_numParagraphs [3]
| the number of lines : text, header footer
bool | m_hideFirstPageHeaderFooter
| true if the first page header/footer must be draw
int | m_startNumberPage
| the first number page
long | m_freeListPos
| free list start position
long | m_freeListLength
| free list length
long | m_freeListAllocated
| free list allocated
long | m_dataPos
| the begin of data ( if version == 3)

## Friends

std::ostream & | operator<< (std::ostream &o, FileHeader const &header)

## Detailed Description

Document header.

## Constructor & Destructor Documentation

## FileHeader()

MacWrtParserInternal::FileHeader::FileHeader | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FileHeader const & | header )

friend

## Member Data Documentation

## m_dataPos

long MacWrtParserInternal::FileHeader::m_dataPos

the begin of data ( if version == 3)

Referenced by MacWrtParser::checkHeader(), FileHeader(), and operator<<.

## m_freeListAllocated

long MacWrtParserInternal::FileHeader::m_freeListAllocated

free list allocated

Referenced by MacWrtParser::checkHeader(), FileHeader(), and operator<<.

## m_freeListLength

long MacWrtParserInternal::FileHeader::m_freeListLength

free list length

Referenced by MacWrtParser::checkHeader(), FileHeader(), and operator<<.

## m_freeListPos

long MacWrtParserInternal::FileHeader::m_freeListPos

free list start position

Referenced by MacWrtParser::checkHeader(), FileHeader(), and operator<<.

## m_hideFirstPageHeaderFooter

bool MacWrtParserInternal::FileHeader::m_hideFirstPageHeaderFooter

true if the first page header/footer must be draw

Referenced by MacWrtParser::checkHeader(), FileHeader(), and operator<<.

## m_numParagraphs

int MacWrtParserInternal::FileHeader::m_numParagraphs[3]

the number of lines : text, header footer

Referenced by MacWrtParser::checkHeader(), FileHeader(), and operator<<.

## m_startNumberPage

int MacWrtParserInternal::FileHeader::m_startNumberPage

the first number page

Referenced by MacWrtParser::checkHeader(), FileHeader(), and operator<<.

The documentation for this struct was generated from the following file:

- MacWrtParser.cxx